Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.server.rest.web
Enum DatabaseActions.IndexType

    java.lang.Object
      java.lang.Enum<DatabaseActions.IndexType>
          org.neo4j.server.rest.web.DatabaseActions.IndexType

All Implemented Interfaces:
  Serializable, Comparable<DatabaseActions.IndexType>

Enclosing class:
  DatabaseActions

    public static enum DatabaseActions.IndexType

extends Enum<DatabaseActions.IndexType>

Enum Constant Summary
`node`
`relationship`

Method Summary
`static DatabaseActions.IndexType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DatabaseActions.IndexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### node

    public static final DatabaseActions.IndexType node

### relationship

    public static final DatabaseActions.IndexType relationship

Method Detail

### values

    public static DatabaseActions.IndexType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DatabaseActions.IndexType c : DatabaseActions.IndexType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DatabaseActions.IndexType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.